# Module `menubar`

### Info:

- Author: Alexander Yakushev <yakushev.alex@gmail.com>
- Copyright: 2011-2012 Alexander Yakushev
- Release: v3.5.1

## Functions

refresh () | Refresh menubar's cache by reloading .desktop files.
show (scr) | Show the menubar on the given screen.
hide () | Hide the menubar.
get () | Get a menubar wibox.

## Tables

Menubar | List of menubar keybindings: "Left" | "C-j" select an item on the left "Right" | "C-k" select an item on the right "Backspace" exit the current category if we are in any "Escape" exit the current directory or exit menubar "Home" select the first item "End" select the last "Return" execute the entry "C-Return" execute the command with awful.util.spawn "C-M-Return" execute the command in a terminal

## Functions

refresh ()
  Refresh menubar's cache by reloading .desktop files.
show (scr)
  Show the menubar on the given screen.

  ### Parameters:

  - scr Screen number.
hide ()
  Hide the menubar.
get ()
  Get a menubar wibox.

  ### Returns:

  menubar wibox.

## Tables

Menubar
  List of menubar keybindings:

  - "Left" | "C-j" select an item on the left
  - "Right" | "C-k" select an item on the right
  - "Backspace" exit the current category if we are in any
  - "Escape" exit the current directory or exit menubar
  - "Home" select the first item
  - "End" select the last
  - "Return" execute the entry
  - "C-Return" execute the command with awful.util.spawn
  - "C-M-Return" execute the command in a terminal
  keybindings

generated by LDoc 1.3